VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::vm::hardware::CdromTypes::Info Class Reference

The `Cdrom.Info` class contains information about a virtual CD-ROM device. More...

List of all members.

## Public Member Functions
| Info ()
| Creates a default new instance.
vmware.vcenter.vm.hardware.CdromTypes.HostBusAdapterType | Get_Type ()
| Type of host bus adapter to which the device is attached.
void | SetType (vmware.vcenter.vm.hardware.CdromTypes.HostBusAdapterType type)
| Type of host bus adapter to which the device is attached.
string | GetLabel ()
| Device label.
void | SetLabel (string label)
| Device label.
vmware.vcenter.vm.hardware.IdeAddressInfo | GetIde ()
| Address of device attached to a virtual IDE adapter.
void | SetIde (vmware.vcenter.vm.hardware.IdeAddressInfo ide)
| Address of device attached to a virtual IDE adapter.
vmware.vcenter.vm.hardware.SataAddressInfo | GetSata ()
| Address of device attached to a virtual SATA adapter.
void | SetSata (vmware.vcenter.vm.hardware.SataAddressInfo sata)
| Address of device attached to a virtual SATA adapter.
vmware.vcenter.vm.hardware.CdromTypes.BackingInfo | GetBacking ()
| Physical resource backing for the virtual CD-ROM device.
void | SetBacking (vmware.vcenter.vm.hardware.CdromTypes.BackingInfo backing)
| Physical resource backing for the virtual CD-ROM device.
vmware.vcenter.vm.hardware.ConnectionState | GetState ()
| Connection status of the virtual device.
void | SetState (vmware.vcenter.vm.hardware.ConnectionState state)
| Connection status of the virtual device.
bool | GetStartConnected ()
| Flag indicating whether the virtual device should be connected whenever the virtual machine is powered on.
void | SetStartConnected (bool startConnected)
| Flag indicating whether the virtual device should be connected whenever the virtual machine is powered on.
bool | GetAllowGuestControl ()
| Flag indicating whether the guest can connect and disconnect the device.
void | SetAllowGuestControl (bool allowGuestControl)
| Flag indicating whether the guest can connect and disconnect the device.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `Cdrom.Info` class contains information about a virtual CD-ROM device.

## Constructor & Destructor Documentation

vmware::vcenter::vm::hardware::CdromTypes::Info::Info | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::vm::hardware::CdromTypes::Info::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::vm::hardware::CdromTypes::Info::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::vm::hardware::CdromTypes::Info::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::vm::hardware::CdromTypes::Info::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::vm::hardware::CdromTypes::Info::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::vm::hardware::CdromTypes::Info::Equals | ( | object | obj | ) | `[inline]`

vmware.vcenter.vm.hardware.CdromTypes.HostBusAdapterType vmware::vcenter::vm::hardware::CdromTypes::Info::Get_Type | ( |  | ) | `[inline]`

Type of host bus adapter to which the device is attached.

bool vmware::vcenter::vm::hardware::CdromTypes::Info::GetAllowGuestControl | ( |  | ) | `[inline]`

Flag indicating whether the guest can connect and disconnect the device.

vmware.vcenter.vm.hardware.CdromTypes.BackingInfo vmware::vcenter::vm::hardware::CdromTypes::Info::GetBacking | ( |  | ) | `[inline]`

Physical resource backing for the virtual CD-ROM device.

override int vmware::vcenter::vm::hardware::CdromTypes::Info::GetHashCode | ( |  | ) | `[inline]`

vmware.vcenter.vm.hardware.IdeAddressInfo vmware::vcenter::vm::hardware::CdromTypes::Info::GetIde | ( |  | ) | `[inline]`

Address of device attached to a virtual IDE adapter.

string vmware::vcenter::vm::hardware::CdromTypes::Info::GetLabel | ( |  | ) | `[inline]`

Device label.

vmware.vcenter.vm.hardware.SataAddressInfo vmware::vcenter::vm::hardware::CdromTypes::Info::GetSata | ( |  | ) | `[inline]`

Address of device attached to a virtual SATA adapter.

bool vmware::vcenter::vm::hardware::CdromTypes::Info::GetStartConnected | ( |  | ) | `[inline]`

Flag indicating whether the virtual device should be connected whenever the virtual machine is powered on.

vmware.vcenter.vm.hardware.ConnectionState vmware::vcenter::vm::hardware::CdromTypes::Info::GetState | ( |  | ) | `[inline]`

Connection status of the virtual device.

void vmware::vcenter::vm::hardware::CdromTypes::Info::SetAllowGuestControl | ( | bool | allowGuestControl | ) | `[inline]`

Flag indicating whether the guest can connect and disconnect the device.

void vmware::vcenter::vm::hardware::CdromTypes::Info::SetBacking | ( | vmware.vcenter.vm.hardware.CdromTypes.BackingInfo | backing | ) | `[inline]`

Physical resource backing for the virtual CD-ROM device.

void vmware::vcenter::vm::hardware::CdromTypes::Info::SetIde | ( | vmware.vcenter.vm.hardware.IdeAddressInfo | ide | ) | `[inline]`

Address of device attached to a virtual IDE adapter.

void vmware::vcenter::vm::hardware::CdromTypes::Info::SetLabel | ( | string | label | ) | `[inline]`

Device label.

void vmware::vcenter::vm::hardware::CdromTypes::Info::SetSata | ( | vmware.vcenter.vm.hardware.SataAddressInfo | sata | ) | `[inline]`

Address of device attached to a virtual SATA adapter.

void vmware::vcenter::vm::hardware::CdromTypes::Info::SetStartConnected | ( | bool | startConnected | ) | `[inline]`

Flag indicating whether the virtual device should be connected whenever the virtual machine is powered on.

void vmware::vcenter::vm::hardware::CdromTypes::Info::SetState | ( | vmware.vcenter.vm.hardware.ConnectionState | state | ) | `[inline]`

Connection status of the virtual device.

void vmware::vcenter::vm::hardware::CdromTypes::Info::SetType | ( | vmware.vcenter.vm.hardware.CdromTypes.HostBusAdapterType | type | ) | `[inline]`

Type of host bus adapter to which the device is attached.

override string vmware::vcenter::vm::hardware::CdromTypes::Info::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- CdromTypes.cs